Subject: Patches to 2.0.33 for old Arc

From: Dave Gilbert <[email-masked]>
Date: Sat, 24 Jan 1998 20:23:15 +0000 (GMT)

Hi,
  Russ and myself have just cut the following minor changes to allow
2.0.33 to be built for old Arc's.  It now seems to be running fine on
my A440 and should run on things like R260's etc as well (I'll
try that later).

  One other issue that is known is that 'mkswap' doesn't work on the
old machines (the ancient version I had been using does - but the current
distribution doesn't). I'm sure that will be fixed very soon.

Dave

diff -r linux-2.0.33-arm-asOnWeb/arch/arm/boot/tools/build.c ../2.0.33/linux/arch/arm/boot/tools/build.c
27c27
< 		unsigned long my_header;
---
> 		unsigned int my_header;
diff -r linux-2.0.33-arm-asOnWeb/arch/arm/drivers/block/blk.h ../2.0.33/linux/arch/arm/drivers/block/blk.h
109c109
< 		   if (!__err) set_device_ro((dev),get_fs_long((long *) (where))); return __err; } \
---
> 		   if (!__err) set_device_ro((dev),get_user((long *) (where))); return __err; } \
111c111
< 		   if (!__err) put_fs_long(0!=is_read_only(dev),(long *) (where)); return __err; }
---
> 		   if (!__err) put_user(0!=is_read_only(dev),(long *) (where)); return __err; }
diff -r linux-2.0.33-arm-asOnWeb/arch/arm/drivers/block/fd1772.c ../2.0.33/linux/arch/arm/drivers/block/fd1772.c
142a143
> #include <asm/segment.h>
diff -r linux-2.0.33-arm-asOnWeb/arch/arm/drivers/scsi/acornscsi.c ../2.0.33/linux/arch/arm/drivers/scsi/acornscsi.c
1663,1664c1663
<     if (host->device[host->SCpnt->target].sync_state == SYNC_ASYNCHRONOUS ||
< 	host->device[host->SCpnt->target].sync_state == SYNC_NEGOCIATE) {
---
>     if (host->device[host->SCpnt->target].sync_state == SYNC_NEGOCIATE) {
diff -r linux-2.0.33-arm-asOnWeb/arch/arm/lib/getconsdata.c ../2.0.33/linux/arch/arm/lib/getconsdata.c
21c21
< #if defined(CONFIG_PROC_ARMO)
---
> #if defined(CONFIG_CPU_ARM2) || defined(CONFIG_CPU_ARM3)
diff -r linux-2.0.33-arm-asOnWeb/arch/arm/mm/proc-arm2,3.S ../2.0.33/linux/arch/arm/mm/proc-arm2,3.S
11c11
< #include "constants.h"
---
> #include "../lib/constants.h"
diff -r linux-2.0.33-arm-asOnWeb/include/asm-arm/a.out.h ../2.0.33/linux/include/asm-arm/a.out.h
3a4,5
> #include <linux/types.h>
6,13c8,15
<   unsigned long a_info;		/* Use macros N_MAGIC, etc for access */
<   unsigned a_text;		/* length of text, in bytes */
<   unsigned a_data;		/* length of data, in bytes */
<   unsigned a_bss;		/* length of uninitialized data area for file, in bytes */
<   unsigned a_syms;		/* length of symbol table data in file, in bytes */
<   unsigned a_entry;		/* start address */
<   unsigned a_trsize;		/* length of relocation info for text, in bytes */
<   unsigned a_drsize;		/* length of relocation info for data, in bytes */
---
>   __u32 a_info;		/* Use macros N_MAGIC, etc for access */
>   __u32 a_text;		/* length of text, in bytes */
>   __u32 a_data;		/* length of data, in bytes */
>   __u32 a_bss;		/* length of uninitialized data area for file, in bytes */
>   __u32 a_syms;		/* length of symbol table data in file, in bytes */
>   __u32 a_entry;		/* start address */
>   __u32 a_trsize;		/* length of relocation info for text, in bytes */
>   __u32 a_drsize;		/* length of relocation info for data, in bytes */
diff -r linux-2.0.33-arm-asOnWeb/include/asm-arm/arch-arc/io.h ../2.0.33/linux/include/asm-arm/arch-arc/io.h
61c61
< 	"strb	%1, [%0, %2, lsl #2]"
---
> 	"str	%1, [%0, %2, lsl #2]"

 --------------------------------------------------------------------
/ Dr. David Alan Gilbert      | Running Linux on Alpha & ARM         \ 
\   gro.gilbert @ treblig.org | ------- Happy in hex -------         /
 \____________________________|___ http://www.treblig.demon.co.uk __/

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]